1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.1 1.1.2 to 1.1.4

Discussion in 'Installation, Upgrade, and Import Support' started by AndreaMarucci, Mar 26, 2013.

  1. AndreaMarucci

    AndreaMarucci Well-Known Member

    I'd like to upgrade my forum but how can I be sure that all my addons are compatible with this new version?

    I mean, shouldn't be possible to know, for each release, if there could be problems with addons? I know that the developers cannot test each addon separately but surely they know if there are code modifications that could break up some addons. Isn't it?
     
  2. EQnoble

    EQnoble Well-Known Member

    It is more of the job for addon developers to test their addons in the newest version. Seeing that what changes for every person as far as xf goes is the same, the only differences would be in the work done by third party devs as each has their own style and methodology and every addon more than likely has a completely different function.

    You best bet is to go to the addon threads for addons you have installed and see if anyone has posted an update on the status of addons under the newest version of xf. If you are really nervous and don't want to go in not knowing...just wait a couple of days and see what people say in those relative addon threads.
     
    Dodgeboard likes this.
  3. borbole

    borbole Well-Known Member

    That possibility is always there with release of new versions. But from what I saw this release contained mostly bug fixes with little change to the code that would require add ons to not work with it. What add ons do you have installed btw?

    If you want to play it safely you can duplicate your main forum to a test folder/subdomain and proceed with upgrading that first and see how things will go.
     
  4. Kevin

    Kevin Well-Known Member

    Make a list of what addons you have installed, read the support threads/sites for those add-ons, see if any problems, post questions to the developers if any remaining doubts. :coffee:
     
  5. arr0w

    arr0w Member

    If you want to know right away if a mod isn't working with the latest xF version or not, you should make a test xenForo install on your server or on your computer using something like XAMPP and then test the mods. If not, wait a few days and I'm sure all the mods that need updating will be updated, unless they aren't supported anymore.
     
  6. Brogan

    Brogan XenForo Moderator Staff Member

  7. Adam Howard

    Adam Howard Well-Known Member

    3rd party party add-ons are not officially supported or developed by XenForo, but rather by 3rd parties.

    You've answered your own question

    There is no way or time allowed for any product developer to go about testing every possible add-on, template edit, style, or other 3rd party customization outside of the original source.

    The closest thing any forum software (phpBB, IPB, SMF, vBulletin, XenForo, ect...) can do is tell you about what changes they made such as features and list a style / theme / template change log as they have here http://xenforo.com/community/threads/xenforo-1-1-4-released.47030/#post-505714
     
  8. AndreaMarucci

    AndreaMarucci Well-Known Member

    A lot of

    Account Upgrade Reminder 0.1

    Admin Language

    Bookmarks 1.1.3

    Browser Update Notification 1.0

    Custom BBCode Manager 1.3.4

    Event Registration 1.2.1

    MassAlert 0.1.0

    Minimum Post Length 1.0

    Number of Posts to Send Personal Conversations 1.0

    Old Thread Warning 1.0.0 BETA2

    Online Status 1.1

    Pie de xenfacil 1

    Post Ratings 1.5.0

    Premium Members BBcodes 1.3

    Quote de XenFacil 4.0.0

    ragtek New User Conversation 1.1.1

    Responsive Design 1.1.0

    Sitemap for XenForo 1.2.0

    sonnb - Quick Quote on user's selection 1.0.0

    TaigaChat 0.5.5

    Tapatalk 1.5.1

    Template Modification System 1.2

    XenFans.com - Extra Tabs 1.0.3

    XenFans.com - Popular Content 1.0.1

    [bd] Tag Me 1.7

    [bd] Widget Framework 2.1.1

    [NFLJ] Stock Trader 1.0.0

    [tLk] ReadPC 1.1.0

    [******] Custom Node Icon 0.9
     
  9. Bob

    Bob Well-Known Member

    [NFLJ] Stock Trader 1.0.0 = works fine on 1.1.4
     
  10. Jake Bunce

    Jake Bunce XenForo Moderator Staff Member

    Minor point releases like 1.1.4 are not likely to break addon compatibility. That is more of a concern for major releases like 1.2
     

Share This Page